[arch-commits] Commit in cyrus-sasl/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Dec 13 21:29:47 EST 2009


    Date: Sunday, December 13, 2009 @ 21:29:46
  Author: eric
Revision: 61257

upgpkg: cyrus-sasl 2.1.23-3
    Rebuilt against heimdal 1.3.1 (close FS#17493)

Modified:
  cyrus-sasl/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-14 02:08:09 UTC (rev 61256)
+++ PKGBUILD	2009-12-14 02:29:46 UTC (rev 61257)
@@ -3,12 +3,12 @@
 
 pkgname=cyrus-sasl
 pkgver=2.1.23
-pkgrel=2
+pkgrel=3
 pkgdesc="SASL authentication daemon"
 arch=('i686' 'x86_64')
 license=('custom')
 url="http://asg.web.cmu.edu/cyrus/download/"
-depends=('pam>=1.0.1-2' 'heimdal>=1.2-1' 'libldap' 'cyrus-sasl-plugins>=2.1.22-7' 'db>=4.7')
+depends=('pam>=1.0.1-2' 'heimdal>=1.3.1' 'libldap' 'cyrus-sasl-plugins>=2.1.22-7' 'db>=4.7')
 replaces=(cyrus-sasl-mysql cyrus-sasl-pgsql)
 conflicts=(cyrus-sasl-mysql cyrus-sasl-pgsql)
 backup=(etc/conf.d/saslauthd)
@@ -20,18 +20,18 @@
          '96d8a2f6189501f8044838e04d5cae7f')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --mandir=/usr/share/man \
     --with-ldap=/usr --with-saslauthd=/var/run/saslauthd
   cd saslauthd
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  make testsaslauthd
-  install -m755 testsaslauthd ${pkgdir}/usr/sbin || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  make testsaslauthd || return 1
+  install -m755 testsaslauthd "${pkgdir}/usr/sbin" || return 1
 
-  install -dm766 ${pkgdir}/var/run/saslauthd
-  install -Dm755 ${srcdir}/saslauthd ${pkgdir}/etc/rc.d/saslauthd
-  install -Dm644 ${srcdir}/saslauthd.conf.d ${pkgdir}/etc/conf.d/saslauthd
+  install -dm766 "${pkgdir}/var/run/saslauthd"
+  install -Dm755 "${srcdir}/saslauthd" "${pkgdir}/etc/rc.d/saslauthd"
+  install -Dm644 "${srcdir}/saslauthd.conf.d" "${pkgdir}/etc/conf.d/saslauthd"
 
-  install -Dm644 ../COPYING ${pkgdir}/usr/share/licenses/cyrus-sasl/COPYING
+  install -Dm644 ../COPYING "${pkgdir}/usr/share/licenses/cyrus-sasl/COPYING"
 }



More information about the arch-commits mailing list